Bug 118405 - changes permissions & ownership
Summary: changes permissions & ownership
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: pam   
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-16 13:37 UTC by Raik Lieske
Modified: 2015-01-08 00:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-21 07:18:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Raik Lieske 2004-03-16 13:37:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux)

Description of problem:
If you have files in /mnt, pam_console_apply changes their permissions and ownership.
For example: I have executable files in /mnt which mounts or unmounts drives.
This file are: /mnt/zip-mnt /mnt/zip-umnt and so on.
The problem is, that the files will be set to not-executable because this entry in /etc/security/console.perms:
<console> 0600 <zip> 0600 root.disk
But my file "zip-mnt" is not "zip" - but pam_console_apply changes it too!

I think it is a bug - the right entry for such behavior should be:
<console> 0600 <zip*> 0600 root.disk

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.boot...
2.
3.
    

Additional info:

Comment 1 Tomas Mraz 2004-09-21 07:18:55 UTC
You didn't read the man console.perms.
The <zip> entry doesn't specify the filename directly it's defined
elsewhere in the file.



Note You need to log in before you can comment on or make changes to this bug.